Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.tools.ant.taskdefs.email
Class MimeMailer

    java.lang.Object
      |
      +--org.apache.tools.ant.taskdefs.email.Mailer
            |
            +--org.apache.tools.ant.taskdefs.email.MimeMailer

public class MimeMailer
extends Mailer

Uses the JavaMail classes to send Mime format email.

Since:
  Ant 1.5

Field Summary

Fields inherited from class org.apache.tools.ant.taskdefs.email.Mailer
`bccList, ccList, files, from, host, includeFileNames, message, password, port, replyToList, SSL, subject, task, toList, user`

Constructor Summary
`MimeMailer()`

Method Summary
`void` | `send()` Sends the email

Methods inherited from class org.apache.tools.ant.taskdefs.email.Mailer
`getDate, setBccList, setCcList, setFiles, setFrom, setHost, setIncludeFileNames, setMessage, setPassword, setPort, setReplyToList, setSSL, setSubject, setTask, setToList, setUser`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### MimeMailer

    public MimeMailer()

Method Detail

### send

    public void send()

  Sends the email

  Specified by:
    `send` in class `Mailer`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000-2005 Apache Software Foundation. All Rights Reserved.